// Copyright (c) 2019, Ben Hills. Use of this source code is governed by a
// MIT license that can be found in the LICENSE file.

/// A class that provides a list of the countries supported by the iTunes API.
class Country {
  final String _countryCode;

  static const Country AFGHANISTAN = Country('AF');
  static const Country ALAND_ISLANDS = Country('AX');
  static const Country ALBANIA = Country('AL');
  static const Country ALGERIA = Country('DZ');
  static const Country AMERICAN_SAMOA = Country('AS');
  static const Country ANDORRA = Country('AD');
  static const Country ANGOLA = Country('AO');
  static const Country ANGUILLA = Country('AI');
  static const Country ANTARCTICA = Country('AQ');
  static const Country ANTIGUA_AND_BARBUDA = Country('AG');
  static const Country ARGENTINA = Country('AR');
  static const Country ARMENIA = Country('AM');
  static const Country ARUBA = Country('AW');
  static const Country AUSTRALIA = Country('AU');
  static const Country AUSTRIA = Country('AT');
  static const Country AZERBAIJAN = Country('AZ');
  static const Country BAHAMAS = Country('BS');
  static const Country BAHRAIN = Country('BH');
  static const Country BANGLADESH = Country('BD');
  static const Country BARBADOS = Country('BB');
  static const Country BELARUS = Country('BY');
  static const Country BELGIUM = Country('BE');
  static const Country BELIZE = Country('BZ');
  static const Country BENIN = Country('BJ');
  static const Country BERMUDA = Country('BM');
  static const Country BHUTAN = Country('BT');
  static const Country BOLIVIA = Country('BO');
  static const Country BONAIRE = Country('BQ');
  static const Country BOSNIA_AND_HERZEGOVINA = Country('BA');
  static const Country BOTSWANA = Country('BW');
  static const Country BOUVET_ISLAND = Country('BV');
  static const Country BRAZIL = Country('BR');
  static const Country BRITISH_INDIAN_OCEAN_TERRITORY = Country('IO');
  static const Country BRITISH_VIRGIN_ISLANDS = Country('VG');
  static const Country BRUNEI_DARUSSALAM = Country('BN');
  static const Country BULGARIA = Country('BG');
  static const Country BURKINA_FASO = Country('BF');
  static const Country BURUNDI = Country('BI');
  static const Country CABO_VERDE = Country('CV');
  static const Country CAMBODIA = Country('KH');
  static const Country CAMEROON = Country('CM');
  static const Country CANADA = Country('CA');
  static const Country CAYMAN_ISLANDS = Country('KY');
  static const Country CENTRAL_AFRICAN_REPUBLIC = Country('CF');
  static const Country CHAD = Country('TD');
  static const Country CHILE = Country('CL');
  static const Country CHINA = Country('CN');
  static const Country CHRISTMAS_ISLAND = Country('CX');
  static const Country COCOS_ISLANDS = Country('CC');
  static const Country COLOMBIA = Country('CO');
  static const Country COMOROS = Country('KM');
  static const Country CONGO = Country('CG');
  static const Country CONGO_DEMOCRATIC_REPUBLIC_OF = Country('CD');
  static const Country COOK_ISLANDS = Country('CK');
  static const Country COSTA_RICA = Country('CR');
  static const Country COTE_D_IVOIRE = Country('CI');
  static const Country CROATIA = Country('HR');
  static const Country CUBA = Country('CU');
  static const Country CURACAO = Country('CW');
  static const Country CYPRUS = Country('CY');
  static const Country CZECHIA = Country('CZ');
  static const Country DENMARK = Country('DK');
  static const Country DJIBOUTI = Country('DJ');
  static const Country DOMINICA = Country('DM');
  static const Country DOMINICAN_REPUBLIC = Country('DO');
  static const Country ECUADOR = Country('EC');
  static const Country EGYPT = Country('EG');
  static const Country EL_SALVADOR = Country('SV');
  static const Country EQUATORIAL_GUINEA = Country('GQ');
  static const Country ERITREA = Country('ER');
  static const Country ESTONIA = Country('EE');
  static const Country ETHIOPIA = Country('ET');
  static const Country FALKLAND_ISLANDS = Country('FK');
  static const Country FAROE_ISLANDS = Country('FO');
  static const Country FIJI = Country('FJ');
  static const Country FINLAND = Country('FI');
  static const Country FRANCE = Country('FR');
  static const Country FRENCH_GUIANA = Country('GF');
  static const Country FRENCH_POLYNESIA = Country('PF');
  static const Country FRENCH_SOUTHERN_TERRITORIES = Country('TF');
  static const Country GABON = Country('GA');
  static const Country GAMBIA = Country('GM');
  static const Country GEORGIA = Country('GE');
  static const Country GERMANY = Country('DE');
  static const Country GHANA = Country('GH');
  static const Country GIBRALTAR = Country('GI');
  static const Country GREECE = Country('GR');
  static const Country GREENLAND = Country('GL');
  static const Country GRENADA = Country('GD');
  static const Country GUADELOUPE = Country('GP');
  static const Country GUAM = Country('GU');
  static const Country GUATEMALA = Country('GT');
  static const Country GUERNSEY = Country('GG');
  static const Country GUINEA = Country('GN');
  static const Country GUINEA_BISSAU = Country('GW');
  static const Country GUYANA = Country('GY');
  static const Country HAITI = Country('HT');
  static const Country HEARD_ISLAND_AND_MCDONALD_ISLANDS = Country('HM');
  static const Country HONDURAS = Country('HN');
  static const Country HONG_KONG = Country('HK');
  static const Country HUNGARY = Country('HU');
  static const Country ICELAND = Country('IS');
  static const Country INDIA = Country('IN');
  static const Country INDONESIA = Country('ID');
  static const Country IRAN = Country('IR');
  static const Country IRAQ = Country('IQ');
  static const Country IRELAND = Country('IE');
  static const Country ISLE_OF_MAN = Country('IM');
  static const Country ISRAEL = Country('IL');
  static const Country ITALY = Country('IT');
  static const Country JAMAICA = Country('JM');
  static const Country JAPAN = Country('JP');
  static const Country JERSEY = Country('JE');
  static const Country JORDAN = Country('JO');
  static const Country KAZAKHSTAN = Country('KZ');
  static const Country KENYA = Country('KE');
  static const Country KIRIBATI = Country('KI');
  static const Country KUWAIT = Country('KW');
  static const Country KYRGYZSTAN = Country('KG');
  static const Country LAOS = Country('LA');
  static const Country LATVIA = Country('LV');
  static const Country LEBANON = Country('LB');
  static const Country LESOTHO = Country('LS');
  static const Country LIBERIA = Country('LR');
  static const Country LIBYA = Country('LY');
  static const Country LIECHTENSTEIN = Country('LI');
  static const Country LITHUANIA = Country('LT');
  static const Country LUXEMBOURG = Country('LU');
  static const Country MACAO = Country('MO');
  static const Country MACEDONIA = Country('MK');
  static const Country MADAGASCAR = Country('MG');
  static const Country MALAWI = Country('MW');
  static const Country MALAYSIA = Country('MY');
  static const Country MALDIVES = Country('MV');
  static const Country MALI = Country('ML');
  static const Country MALTA = Country('MT');
  static const Country MARSHALL_ISLANDS = Country('MH');
  static const Country MARTINIQUE = Country('MQ');
  static const Country MAURITANIA = Country('MR');
  static const Country MAURITIUS = Country('MU');
  static const Country MAYOTTE = Country('YT');
  static const Country MEXICO = Country('MX');
  static const Country MICRONESIA = Country('FM');
  static const Country MOLDOVA = Country('MD');
  static const Country MONACO = Country('MC');
  static const Country MONGOLIA = Country('MN');
  static const Country MONTENEGRO = Country('ME');
  static const Country MONTSERRAT = Country('MS');
  static const Country MOROCCO = Country('MA');
  static const Country MOZAMBIQUE = Country('MZ');
  static const Country MYANMAR = Country('MM');
  static const Country NAMIBIA = Country('NA');
  static const Country NAURU = Country('NR');
  static const Country NEPAL = Country('NP');
  static const Country NETHERLANDS = Country('NL');
  static const Country NEW_CALEDONIA = Country('NC');
  static const Country NEW_ZEALAND = Country('NZ');
  static const Country NICARAGUA = Country('NI');
  static const Country NIGER = Country('NE');
  static const Country NIGERIA = Country('NG');
  static const Country NIUE = Country('NU');
  static const Country NORFOLK_ISLAND = Country('NF');
  static const Country NORTH_KOREA = Country('KP');
  static const Country NORTHERN_MARIANA_ISLANDS = Country('MP');
  static const Country NORWAY = Country('NO');
  static const Country OMAN = Country('OM');
  static const Country PAKISTAN = Country('PK');
  static const Country PALAU = Country('PW');
  static const Country PALESTINE = Country('PS');
  static const Country PANAMA = Country('PA');
  static const Country PAPUA_NEW_GUINEA = Country('PG');
  static const Country PARAGUAY = Country('PY');
  static const Country PERU = Country('PE');
  static const Country PHILIPPINES = Country('PH');
  static const Country PITCAIRN = Country('PN');
  static const Country POLAND = Country('PL');
  static const Country PORTUGAL = Country('PT');
  static const Country PUERTO_RICO = Country('PR');
  static const Country QATAR = Country('QA');
  static const Country REUNION = Country('RE');
  static const Country ROMANIA = Country('RO');
  static const Country RUSSIAN_FEDERATION = Country('RU');
  static const Country RWANDA = Country('RW');
  static const Country SAINT_BARTHELEMY = Country('BL');
  static const Country SAINT_HELENA = Country('SH');
  static const Country SAINT_KITTS_AND_NEVIS = Country('KN');
  static const Country SAINT_LUCIA = Country('LC');
  static const Country SAINT_MARTIN = Country('MF');
  static const Country SAINT_PIERRE_AND_MIQUELON = Country('PM');
  static const Country SAINT_VINCENT_AND_THE_GRENADINES = Country('VC');
  static const Country SAMOA = Country('WS');
  static const Country SAN_MARINO = Country('SM');
  static const Country SAO_TOME_AND_PRINCIPE = Country('ST');
  static const Country SAUDI_ARABIA = Country('SA');
  static const Country SENEGAL = Country('SN');
  static const Country SERBIA = Country('RS');
  static const Country SEYCHELLES = Country('SC');
  static const Country SIERRA_LEONE = Country('SL');
  static const Country SINGAPORE = Country('SG');
  static const Country SINT_MAARTEN = Country('SX');
  static const Country SLOVAKIA = Country('SK');
  static const Country SLOVENIA = Country('SI');
  static const Country SOLOMON_ISLANDS = Country('SB');
  static const Country SOMALIA = Country('SO');
  static const Country SOUTH_AFRICA = Country('ZA');
  static const Country SOUTH_GEORGIA_AND_THE_SOUTH_SANDWICH_ISLANDS =
      Country('GS');
  static const Country SOUTH_KOREA = Country('KR');
  static const Country SOUTH_SUDAN = Country('SS');
  static const Country SPAIN = Country('ES');
  static const Country SRI_LANKA = Country('LK');
  static const Country SUDAN = Country('SD');
  static const Country SURINAME = Country('SR');
  static const Country SVALBARD_AND_JAN_MAYEN = Country('SJ');
  static const Country SWAZILAND = Country('SZ');
  static const Country SWEDEN = Country('SE');
  static const Country SWITZERLAND = Country('CH');
  static const Country SYRIAN_ARAB_REPUBLIC = Country('SY');
  static const Country TAIWAN = Country('TW');
  static const Country TAJIKISTAN = Country('TJ');
  static const Country TANZANIA = Country('TZ');
  static const Country THAILAND = Country('TH');
  static const Country TIMOR_LESTE = Country('TL');
  static const Country TOGO = Country('TG');
  static const Country TOKELAU = Country('TK');
  static const Country TONGA = Country('TO');
  static const Country TRINIDAD_AND_TOBAGO = Country('TT');
  static const Country TUNISIA = Country('TN');
  static const Country TURKEY = Country('TR');
  static const Country TURKMENISTAN = Country('TM');
  static const Country TURKS_AND_CAICOS_ISLANDS = Country('TC');
  static const Country TUVALU = Country('TV');
  static const Country UGANDA = Country('UG');
  static const Country UKRAINE = Country('UA');
  static const Country UNITED_ARAB_EMIRATES = Country('AE');
  static const Country UNITED_KINGDOM = Country('GB');
  static const Country UNITED_STATES = Country('US');
  static const Country UNITED_STATES_MINOR_OUTLYING_ISLANDS = Country('UM');
  static const Country URUGUAY = Country('UY');
  static const Country US_VIRGIN_ISLANDS = Country('VI');
  static const Country UZBEKISTAN = Country('UZ');
  static const Country VANUATU = Country('VU');
  static const Country VATICAN_CITY = Country('VA');
  static const Country VENEZUELA = Country('VE');
  static const Country VIET_NAM = Country('VN');
  static const Country WALLIS_AND_FUTUNA = Country('WF');
  static const Country WESTERN_SAHARA = Country('EH');
  static const Country YEMEN = Country('YE');
  static const Country ZAMBIA = Country('ZM');
  static const Country ZIMBABWE = Country('ZW');

  const Country(countryCode) : _countryCode = countryCode;

  String get countryCode => _countryCode;
}
